extends Node3D


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	print("READY")
	Engine.max_fps = 30
	update_labels()
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func update_labels():
	$Control/LabelGlow.text = str($WorldEnvironment.environment.glow_enabled)
	$Control/LabelDOF.text = str($Camera3D.attributes.dof_blur_far_enabled)

func _on_timer_timeout() -> void:
	$WorldEnvironment.environment.glow_enabled = !$WorldEnvironment.environment.glow_enabled
	update_labels()
	#print("glow_enabled: ", $WorldEnvironment.environment.glow_enabled)
	pass # Replace with function body.


func _on_timer_exit_timeout() -> void:
	print("QUIT")
	get_tree().quit()
	pass # Replace with function body.


func _on_timer_dof_timeout() -> void:
	$Camera3D.attributes.dof_blur_far_enabled = !$Camera3D.attributes.dof_blur_far_enabled
	update_labels()
	#print("dof_blur_far_enabled: ", $Camera3D.attributes.dof_blur_far_enabled)
	pass # Replace with function body.


func _on_timer_scale_timeout() -> void:
	#RenderingServer.viewport_set_scaling_3d_mode()
	pass # Replace with function body.
